Skip to content

metadata_fields_sources_retrieve

GET
/api/metadata_fields/sources
curl --request GET \
--url https://example.com/api/metadata_fields/sources \
--header 'Authorization: Bearer <token>'

Retrieve a list of unique sources from both MadbotMetadataField and PluginMetadataField models.

This endpoint aggregates distinct values from the ‘source’ field of two different models:

  • MadbotMetadataField
  • PluginMetadataField

Returns

Response A JSON response containing a list of unique sources.

Media typeapplication/json

Serializer for MetadataField model.

object
id
required
string format: uuid
slug
required
string
/^[-a-zA-Z0-9_]+$/
name
required
string
description
required
string
data_types
required
Array<integer>
schema
required

Build and return the absolute URI for the specified schema.

Parameters

obj : object The object for which the schema URI is being generated.

Returns

str The absolute URI for the schema associated with the object’s metadata.

string
uischema
required

Build and return the absolute URI for the specified ui schema.

Parameters

obj : object The object for which the schema URI is being generated.

Returns

str The absolute URI for the ui schema associated with the object’s metadata.

string
metadata_mapping
required

Retrieve the filtered metadata mapping based on the type.

Array<object>
object
key
additional properties
rank
integer
default: 1
source
required
string
type
required

Dynamically return the correct metadata field type.

Parameters

obj : object The MetadataField instance.

Returns

str The name of the metadata field type (madbot_field or plugin_field).

string
level
required

Dynamically return the correct metadata field level.

Parameters

obj : object The MetadataField instance.

Returns

str The name of the metadata field type (madbot_field or plugin_field).

string
nullable

Example

{
"rank": 1
}